#!/usr/bin/python

import math, numpy

nwalkers = 48

data = []
for i in range(nwalkers):
  #print i
  ifilename = "../fg/COLVAR."+str(i)
  ifile = open(ifilename, "r").readlines()
  walker = []
  for line in ifile:
    if line[0]!="#":
      sline = str.split(line)
      #if ((float(sline[0]) > 100.0)): # and (float(sline[0]) < 9000.1)):
      walker.append([float(sline[1]), float(sline[2])])
  ifilename = "../fg_2/COLVAR."+str(i)
  ifile = open(ifilename, "r").readlines()
  for line in ifile:
    if line[0]!="#":
      sline = str.split(line)
      #if ((float(sline[0]) > 100.0)): # and (float(sline[0]) < 9000.1)):
      walker.append([float(sline[1]), float(sline[2])])
  ifilename = "../fg_3/COLVAR."+str(i)
  ifile = open(ifilename, "r").readlines()
  for line in ifile:
    if line[0]!="#":
      sline = str.split(line)
      #if ((float(sline[0]) > 100.0)): # and (float(sline[0]) < 9000.1)):
      walker.append([float(sline[1]), float(sline[2])])
  ifilename = "../fg_4/COLVAR."+str(i)
  ifile = open(ifilename, "r").readlines()
  for line in ifile:
    if line[0]!="#":
      sline = str.split(line)
      #if ((float(sline[0]) > 100.0)): # and (float(sline[0]) < 9000.1)):
      walker.append([float(sline[1]), float(sline[2])])
  ifilename = "../fg_5/COLVAR."+str(i)
  ifile = open(ifilename, "r").readlines()
  for line in ifile:
    if line[0]!="#":
      sline = str.split(line)
      #if ((float(sline[0]) > 100.0)): # and (float(sline[0]) < 9000.1)):
      walker.append([float(sline[1]), float(sline[2])])
  data.append(walker)

skip = 1000
data = numpy.array(data)
angles = data[:,skip:,0]
biases = data[:,skip:,1]
angles[angles< -math.pi/2.0] = angles[angles< -math.pi/2.0] + 2.0*math.pi
averages = numpy.mean(angles, axis=1)
order = numpy.argsort(averages)
orderedangles = []
orderedbiases = []
for i in range(nwalkers):
  orderedangles = numpy.append(orderedangles, angles[order[i],:])
  orderedbiases = numpy.append(orderedbiases, biases[order[i],:])
ofile = open("angles.txt", "w")
for i in range(int(len(orderedangles)/10.0)):
  ofile.write("%f\n" % orderedangles[10*i])
ofile.close()
all = numpy.exp(orderedbiases/8.314/0.3)
cis = numpy.copy(all)
trans = numpy.copy(all)
cis[orderedangles>math.pi/2.0] = 0.0
trans[orderedangles<math.pi/2.0] = 0.0
ofile = open("cis.txt", "w")
for i in range(int(len(orderedangles)/10.0)):
  ofile.write("%f\n" % cis[10*i])
ofile.close()
ofile = open("trans.txt", "w")
for i in range(int(len(orderedangles)/10.0)):
  ofile.write("%f\n" % trans[10*i])
ofile.close()
ofile = open("all.txt", "w")
for i in range(int(len(orderedangles)/10.0)):
  ofile.write("%f\n" % all[10*i])
ofile.close()
print -8.314*0.3*math.log(numpy.sum(cis)/numpy.sum(trans))

