LAMBDA=0
gmx grompp -f EM/em_steep.mdp -c EM/frame0.gro -p EM/acepro.top -o EM/em_$LAMBDA.tpr -maxwarn 666
gmx mdrun -nt 24 -v -deffnm EM/em_$LAMBDA
gmx grompp -f NVT/nvt.mdp -c EM/em_$LAMBDA.gro -p NVT/acepro.top -o NVT/nvt_$LAMBDA.tpr -maxwarn 666
gmx mdrun -nt 24 -v -deffnm NVT/nvt_$LAMBDA
gmx grompp -f NPT/npt.mdp -c NVT/nvt_$LAMBDA.gro -p NPT/acepro.top -t NVT/nvt_$LAMBDA.cpt -o NPT/npt_$LAMBDA.tpr -maxwarn 666
gmx mdrun -nt 24 -v -deffnm NPT/npt_$LAMBDA
gmx grompp -f MD/md.mdp -c NPT/npt_$LAMBDA.gro -p MD/acepro.top -t NPT/npt_$LAMBDA.cpt -o MD/md_$LAMBDA.tpr -maxwarn 666
gmx mdrun -nt 24 -deffnm MD/md_$LAMBDA
walker=0
for i in \$(seq 20 20 1000)
do
gmx trjconv -f MD/md_$LAMBDA.trr -s MD/md_$LAMBDA.tpr -dump \$i -o frame\$walker.gro << EOF
0
EOF
walker=\$((walker+1))
done
for i in `seq 0 47`;
do
gmx_mpi grompp -f mtd.mdp -c frame$i.gro -p acepro.top -o mtd1_$i -maxwarn 666
rm mdout.mdp
done
export OMP_NUM_THREADS=1
mpirun -np 48 --hostfile hostfile gmx_mpi mdrun -s mtd1_ -o mtd1_ -e mtd1_ -g mtd1_ -c after_mtd1_ -plumed plumed -multi 48

